Subject: Re: 440 ebony patch seems to have broken 85xx build on powerpc.git

From: David Gibson <[email-masked]>
Date: Fri, 25 May 2007 11:27:39 +1000

On Thu, May 24, 2007 at 01:09:00PM -0500, Josh Boyer wrote:
> On Thu, 2007-05-24 at 22:02 +0400, Sergei Shtylyov wrote:
> > Dave Jiang wrote:
> > 
> > > Has anyone been able to build mpc85xx_* from the latest powerpc.git? I have
> > > tried mpc85xx_cds and mpc8560_ads. I pulled a new git tree and attempted to
> > > build and hit the error message below.
> > 
> > > Also, if I comment out the two lines in arch/powerpc/boot/Makefile that was
> > > introduced by the 440 Ebony support patch everything is fine.
> > 
> > > $(obj)/44x.o: BOOTCFLAGS += -Wa,-mbooke
> > > $(obj)/ebony.o: BOOTCFLAGS += -Wa,-mbooke
> > 
> > > make -f
> > > /home/djiang/community/git-repos/tmp/ppc-master/scripts/Makefile.modpost vmlinux
> > >   scripts/mod/modpost   -o
> > > /home/djiang/community/git-repos/tmp/ppc-master/Module.symvers
> > > arch/powerpc/kernel/head_fsl_booke.o  init/built-in.o  usr/built-in.o
> > > arch/powerpc/kernel/built-in.o  arch/powerpc/mm/built-in.o
> > > arch/powerpc/lib/built-in.o  arch/powerpc/sysdev/built-in.o
> > > arch/powerpc/platforms/built-in.o  arch/powerpc/math-emu/built-in.o
> > > kernel/built-in.o  mm/built-in.o  fs/built-in.o  ipc/built-in.o
> > > security/built-in.o  crypto/built-in.o  block/built-in.o  lib/lib.a
> > > lib/built-in.o  drivers/built-in.o  sound/built-in.o  net/built-in.o
> > > WARNING: arch/powerpc/mm/built-in.o(.text+0x10bc): Section mismatch: reference
> > > to .init.text:early_get_page (between 'pte_alloc_one_kernel' and 'steal_context')
> > > rm -f .old_version
> > > make ARCH=ppc64 -f scripts/Makefile.build obj=arch/powerpc/boot
> > > arch/powerpc/boot/uImage
> > >   /opt/montavista/cge/devkit/ppc/85xx/bin/ppc_85xx-gcc -m32
> > > -Wp,-MD,arch/powerpc/boot/.ebony.o.d -Wall -Wstrict-prototypes -O2
> > > -fomit-frame-pointer -fno-builtin -nostdinc -isystem
> > > /opt/montavista/cge/devkit/ppc/85xx/bin/../lib/gcc/powerpc-montavista-linux-gnuspe/4.2.0/include
> > > -fPIC -fno-stack-protector -Iarch/powerpc/boot
> > > -I/home/djiang/community/git-repos/tmp/ppc-master/arch/powerpc/boot -Wa,-mbooke
> > > -c -o arch/powerpc/boot/ebony.o arch/powerpc/boot/ebony.c
> > > /home/djiang/tmp/cc2UVyci.s: Assembler messages:
> > > /home/djiang/tmp/cc2UVyci.s:142: Error: Unrecognized opcode: `isel'
> > > make[1]: *** [arch/powerpc/boot/ebony.o] Error 1
> > 
> >     I wonder WTF ebony.c gets built for MPC85xx targets? :-O
> 
> Because it's part of the bootwrapper and all platform files get built no
> matter what the actual target is at the moment.
> 
> We might want to take a look at why we're doing that again.

So that we have a better chance of catching platform specific build
bugs: which we just did.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson